{{- $name := "api-gateway" -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ printf "%s-%s" (include "common.names.fullname" .) $name }}
  labels: {{- include "common.labels.standard" . | nindent 4 }}
    app.kubernetes.io/component: {{ $name }}
spec:
  type: ClusterIP
  ports:
    - port: {{ include "stellio.api_gateway.service.port" $ }}
      targetPort: {{ include "stellio.api_gateway.service.port" $ }}
      protocol: TCP
      name: http
  selector: {{- include "common.labels.matchLabels" . | nindent 4 }}
    app.kubernetes.io/component: {{ $name }}